Bug 175183 - Mount of WDC WD2000JB-00FUA0 failed
Mount of WDC WD2000JB-00FUA0 failed
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-12-07 09:22 EST by Mike Timonin
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-23 05:22:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Timonin 2005-12-07 09:22:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have installed WDC WD2000JB-00FUA0 hard drive to my system and tried to mount it.
Partitioning with fdisk goes ok. I've tried both creating one 200gb partition and several smaller. Then mkfs -t ext3 /dev/hdb1 also goes ok. 
I try to mount to test/ then and fail
mount: /dev/hdb1 already mounted or test/ busy

I am using kernel 2.6.9-22.0.1.EL
I've tried this drive on another server with RHEL4 and got the same error
Mounting on FC4(2.6.12-1.1447_FC4) went ok

mount says

/dev/hda1 on / type ext3 (rw)
none on /proc type proc (rw)
none on /sys type sysfs (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
usbfs on /proc/bus/usb type usbfs (rw)
none on /dev/shm type tmpfs (rw)
/dev/hda2 on /usr type ext3 (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)

fsck says

 fsck /dev/hdb1
fsck 1.35 (28-Feb-2004)
e2fsck 1.35 (28-Feb-2004)
/dev/hdb1: clean, 11/24428544 files, 790137/48839600 blocks

hdparm -i /dev/hdb says 


 Model=WDC WD2000JB-00FUA0, FwRev=15.05R15, SerialNo=WD-WMAEP2641750
 Config={ HardSect NotMFM HdSw>15uSec SpinMotCtl Fixed DTR>5Mbs FmtGapReq }
 RawCHS=16383/16/63, TrkSize=57600, SectSize=600, ECCbytes=74
 BuffType=DualPortCache, BuffSize=8192kB, MaxMultSect=16, MultSect=16
 CurCHS=16383/16/63, CurSects=16514064, LBA=yes, LBAsects=268435455
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes:  pio0 pio1 pio2 pio3 pio4
 DMA modes:  mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 udma4 *udma5
 AdvancedPM=no WriteCache=enabled
 Drive conforms to: device does not report version:

 * signifies the current active mode

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install hard drive
2.make partitions
3.try to mount it

Actual Results:  mount: /dev/hdb1 already mounted or test/ busy

Expected Results:  mount ok

Additional info:
Comment 1 Mike Timonin 2006-03-23 02:30:18 EST
After some time I have found solution. The trouble is in dmraid package. Remove
it, reboot amd everything is ok.
Comment 2 Karel Zak 2006-03-23 05:22:42 EST
Thanks for info. Closing.

Note You need to log in before you can comment on or make changes to this bug.